com.taosdata.jdbc.ws.tmq.entity

## Class FetchResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.tmq.entity.FetchResp

    public class FetchResp
    extends CommonResp

### Constructor Summary

Constructors
Constructor and Description
`FetchResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFieldsCount()`
`long[]` `getFieldsLengths()`
`String[]` `getFieldsNames()`
`int[]` `getFieldsTypes()`
`long` `getMessageId()`
`int` `getPrecision()`
`int` `getRows()`
`String` `getTableName()`
`boolean` `isCompleted()`
`void` `setCompleted(boolean completed)`
`void` `setFieldsCount(int fieldsCount)`
`void` `setFieldsLengths(long[] fieldsLengths)`
`void` `setFieldsNames(String[] fieldsNames)`
`void` `setFieldsTypes(int[] fieldsTypes)`
`void` `setMessageId(long messageId)`
`void` `setPrecision(int precision)`
`void` `setRows(int rows)`
`void` `setTableName(String tableName)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchResp

    public FetchResp()

### Method Detail

#### getMessageId

    public long getMessageId()

#### setMessageId

    public void setMessageId(long messageId)

#### isCompleted

    public boolean isCompleted()

#### setCompleted

    public void setCompleted(boolean completed)

#### getTableName

    public String getTableName()

#### setTableName

    public void setTableName(String tableName)

#### getRows

    public int getRows()

#### setRows

    public void setRows(int rows)

#### getFieldsCount

    public int getFieldsCount()

#### setFieldsCount

    public void setFieldsCount(int fieldsCount)

#### getFieldsNames

    public String[] getFieldsNames()

#### setFieldsNames

    public void setFieldsNames(String[] fieldsNames)

#### getFieldsTypes

    public int[] getFieldsTypes()

#### setFieldsTypes

    public void setFieldsTypes(int[] fieldsTypes)

#### getFieldsLengths

    public long[] getFieldsLengths()

#### setFieldsLengths

    public void setFieldsLengths(long[] fieldsLengths)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public void setPrecision(int precision)